## python-gnome 0.2.3

=== swigsrc/Makefile ===
all: ../_gtkxmhtmlmodule.c ../_gtkttymodule.c ../_zvtmodule.c ../_gnomemodule.c ../_gnomeuimodule.c

../_gtkxmhtmlmodule.c: gtk-xmhtml.i glue.i
	swig -python -dnone -o $@ $<

../_gtkttymodule.c: gtktty.i glue.i
	swig -python -dnone -o $@ $<

../_zvtmodule.c: zvt.i glue.i
	swig -python -dnone -o $@ $<

../_gnomemodule.c: gnome.i
	swig -python -dnone -o $@ $<

../_gnomeuimodule.c: gnomeui.i gnomeui-info.i gtkcauldron.i gnome-canvas.i gnomeenums.i glue.i obj_typemap.i
	swig -python -dnone -o $@ $<

obj_typemap.i: mk_typemap.py
	python mk_typemap.py

## python-gnome 2.18.0-1osso1

=== debian/changelog ===
python-gnome (2.18.0-1osso1) unstable; urgency=low

  * PythonGnome2.18 release for PyMaemo.

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Fri, 13 Apr 2007 09:30:00 -0300

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

d=debian/tmp
d_base=debian/python$(PYVER)-gnome
d_dev=debian/python$(PYVER)-gnome-dev

ifeq ($(DEB_BUILD_ARCH),armel)
   CFLAGS=-Os -mthumb -mfloat-abi=softfp -Wall -Wstrict-prototypes
else
   CFLAGS=-Os -Wall -Wstrict-prototypes
endif

CLEANFILES = gconf/gconf.c gconf/*.pyo gconf/*.lo gconf/*.la gconf/*.in

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" python$(PYVER) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	CFLAGS="$(CFLAGS)" python$(PYVER) setup.py clean -a
	dh_clean $(CLEANFILES)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python$(PYVER) setup.py install --prefix=$(d_base)/usr --skip-build
	python$(PYVER) -OO -m compileall -l .

	# base
	touch $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py

	# dev
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/gnomevfs
	mkdir -p $(d_dev)/usr/share/python-gnome/defs
	cp examples/gconf/*py     $(d_dev)/usr/share/doc/$(p_dev)/examples
	cp gconf/gconf.defs $(d_dev)/usr/share/python-gnome/defs
	cp examples/vfs/*py     $(d_dev)/usr/share/doc/$(p_dev)/examples/gnomevfs

	# finish
	find $(d_base) $(d_dev) -name "CVS" | xargs rm -rf
	find $(d_base) $(d_dev) -name ".svn" | xargs rm -rf

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installman
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-gnome 2.18.0-1osso2

=== debian/changelog ===
python-gnome (2.18.0-1osso2) unstable; urgency=low

  * fix #972 and #988

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed, 24 Oct 2007 15:50:03 -0300

=== debian/control ===
Source: python-gnome
Priority: optional
Section: python
Maintainer: Luciano Miguel Wolf <luciano.wolf@indt.org.br>
Build-Depends: debhelper (>= 4.0.0), python2.5-gtk2-dev (>= 2.10.3-1osso4), python2.5-dev (>= 2.5.1-1osso2), libgconf2-dev, libglib2.0-dev, libosso-gnomevfs2-dev
Standards-Version: 3.6.1

Package: python2.5-gnome
Architecture: any
Depends: python2.5 (>= 2.5.1-1osso2), libgconf2-6, libglib2.0-0, libosso-gnomevfs2-0, ${shlibs:Depends}
Description: Python bindings for GConf and GnomeVFS 

Package: python2.5-gnome-dev
Architecture: all
Depends: python2.5-gnome (= ${Source-Version})
Description: Examples and header files for bindings of GConf and GnomeVFS

=== debian/rules ===
--- 
+++ 
@@ -37,10 +37,11 @@
 	dh_installdirs
 
 	python$(PYVER) setup.py install --prefix=$(d_base)/usr --skip-build
-	python$(PYVER) -OO -m compileall -l .
 
 	# base
 	touch $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
+	python$(PYVER) -OO -m compileall -d / -l $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
+	rm $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
 
 	# dev
 	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/

## python-gnome 2.18.0-1osso3

=== debian/changelog ===
python-gnome (2.18.0-1osso3) unstable; urgency=low

  * correct copyright file and put it inside /usr/share/doc
  * fix doc install path
  * fix missing __init__.py problem

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Tue,  6 Nov 2007 16:44:35 -0300

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 d=debian/tmp
+p_base=python-gnome
 d_base=debian/python$(PYVER)-gnome
 d_dev=debian/python$(PYVER)-gnome-dev
 
@@ -40,16 +41,18 @@
 
 	# base
 	touch $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
-	python$(PYVER) -OO -m compileall -d / -l $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
+	python$(PYVER) -OO -m compileall -d / -l $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/
 	rm $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
+	mkdir -p $(d_base)/usr/share/doc/$(p_base)
+	cp debian/copyright $(d_base)/usr/share/doc/$(p_base)
 
 	# dev
-	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/
-	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/gnomevfs
-	mkdir -p $(d_dev)/usr/share/python-gnome/defs
-	cp examples/gconf/*py     $(d_dev)/usr/share/doc/$(p_dev)/examples
-	cp gconf/gconf.defs $(d_dev)/usr/share/python-gnome/defs
-	cp examples/vfs/*py     $(d_dev)/usr/share/doc/$(p_dev)/examples/gnomevfs
+	mkdir -p $(d_dev)/usr/share/doc/$(p_base)/examples/
+	mkdir -p $(d_dev)/usr/share/doc/$(p_base)/examples/gnomevfs
+	mkdir -p $(d_dev)/usr/share/$(p_base)/defs
+	cp examples/gconf/*py     $(d_dev)/usr/share/doc/$(p_base)/examples
+	cp gconf/gconf.defs $(d_dev)/usr/share/$(p_base)/defs
+	cp examples/vfs/*py     $(d_dev)/usr/share/doc/$(p_base)/examples/gnomevfs
 
 	# finish
 	find $(d_base) $(d_dev) -name "CVS" | xargs rm -rf

## python-gnome 2.18.0-1osso4

=== debian/changelog ===
python-gnome (2.18.0-1osso4) unstable; urgency=low

  * Fallback to autotools while the fakeroot + popen + qemu-eabi bug isn't
    solved. (Previously was using dsextras classes from pygtk)
  * debian/rules using dh_install to select files
  * Now exporting the .pc file.
  * Added libgtk2.0 and gnome-common to build-depends

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Thu, 27 Mar 2008 17:07:23 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: python
 Maintainer: Luciano Miguel Wolf <luciano.wolf@indt.org.br>
-Build-Depends: debhelper (>= 4.0.0), python2.5-gtk2-dev (>= 2.10.3-1osso4), python2.5-dev (>= 2.5.1-1osso2), libgconf2-dev, libglib2.0-dev, libosso-gnomevfs2-dev
+Build-Depends: debhelper (>= 4.0.0), python2.5-gtk2-dev (>= 2.10.3-1osso4), python2.5-dev (>= 2.5.1-1osso2), libgconf2-dev, libglib2.0-dev, libosso-gnomevfs2-dev, libgtk2.0-dev (>= 2.6.0), gnome-common
 Standards-Version: 3.6.1
 
 Package: python2.5-gnome

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5
PYTHON=python$(PYVER)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

d=debian/tmp
p_base=python-gnome
d_base=debian/python$(PYVER)-gnome
d_dev=debian/python$(PYVER)-gnome-dev

ifeq ($(DEB_BUILD_ARCH),armel)
   CFLAGS=-Os -mthumb -mfloat-abi=softfp -Wall -Wstrict-prototypes
else
   CFLAGS=-Os -Wall -Wstrict-prototypes
endif

config.status: configure
	dh_testdir
	PYTHON=`which $(PYTHON)` ./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


CLEANFILES = gconf/gconf.c gconf/*.pyo gconf/*.lo gconf/*.la gconf/*.in

build: build-stamp
build-stamp: config.status
	dh_testdir
	#CFLAGS="$(CFLAGS)" python$(PYVER) setup.py build
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	#CFLAGS="$(CFLAGS)" python$(PYVER) setup.py clean -a
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean $(CLEANFILES)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	
	#FIXME Hardcoded paths...
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/python2.5-gnome-dev/examples
	cp -R $(CURDIR)/examples/gconf $(CURDIR)/debian/tmp/usr/share/doc/python2.5-gnome-dev/examples
	cp -R $(CURDIR)/examples/vfs $(CURDIR)/debian/tmp/usr/share/doc/python2.5-gnome-dev/examples/gnomevfs
	rm -rf $(CURDIR)/debian/tmp/usr/share/doc/python2.5-gnome-dev/examples/gnomevfs/pygvfsmethod

	python$(PYVER) -OO -m compileall -d / $(d)/usr/lib

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_install --source=debian/tmp -v
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-gnome 2.18.0-1osso5

=== debian/changelog ===
python-gnome (2.18.0-1osso5) unstable; urgency=low

  * updating copyright info 

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Tue, 15 Jan 2008 11:47:32 -0300

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.5

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

d=debian/tmp
d_base=debian/python$(PYVER)-gnome
d_dev=debian/python$(PYVER)-gnome-dev

ifeq ($(DEB_BUILD_ARCH),armel)
   CFLAGS=-Os -mthumb -mfloat-abi=softfp -Wall -Wstrict-prototypes
else
   CFLAGS=-Os -Wall -Wstrict-prototypes
endif

CLEANFILES = gconf/gconf.c gconf/*.pyo gconf/*.lo gconf/*.la gconf/*.in

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" python$(PYVER) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	CFLAGS="$(CFLAGS)" python$(PYVER) setup.py clean -a
	dh_clean $(CLEANFILES)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python$(PYVER) setup.py install --prefix=$(d_base)/usr --skip-build

	# base
	touch $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py
	python$(PYVER) -OO -m compileall -d / -l $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome
	rm $(d_base)/usr/lib/python$(PYVER)/site-packages/gnome/__init__.py

	# dev
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)/examples/gnomevfs
	mkdir -p $(d_dev)/usr/share/python-gnome/defs
	cp examples/gconf/*py     $(d_dev)/usr/share/doc/$(p_dev)/examples
	cp gconf/gconf.defs $(d_dev)/usr/share/python-gnome/defs
	cp examples/vfs/*py     $(d_dev)/usr/share/doc/$(p_dev)/examples/gnomevfs

	# finish
	find $(d_base) $(d_dev) -name "CVS" | xargs rm -rf
	find $(d_base) $(d_dev) -name ".svn" | xargs rm -rf

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installman
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
